import React, {useState} from 'react';

export default function Cancel({uuid}) {
    const [pending, setPending] = useState(new Map())

    for (const [key, value] of pending)
        console.log("cancel", key, value);

    function sendRequest(uuid2reject) {
        const nextPending = new Map(pending)
        nextPending.set(uuid2reject, null)

        setPending(nextPending)
    }

    const status = pending.get(uuid)
    const isPending = status !== undefined

    return <button 
        className={isPending ? "visible" : "action"} 
        onClick={() => sendRequest(uuid) }>
            Cancel
        </button>
}
